--
-- MPOwner
--
-- @author  ANDR55, Destroileur
-- Version 3.0
-- @date 20.10.2017

SpecializationUtil.registerSpecialization("MPOwner", "MPOwner", g_currentModDirectory.."MPOwner.lua")

MPOwner_Register = {};

function MPOwner_Register:loadMap(name)
	
	-- print("## DEBUG MPOwner_Register:loadMap");
	if self.firstRun == nil then
		self.firstRun = false;
		
		for k, v in pairs(VehicleTypeUtil.vehicleTypes) do
			if v ~= nil then
				local allowInsertion = true;
				for i = 1, table.maxn(v.specializations) do
					local vs = v.specializations[i];
					if vs ~= nil and vs == SpecializationUtil.getSpecialization("steerable") then
						if allowInsertion then
							table.insert(v.specializations, SpecializationUtil.getSpecialization("MPOwner"));
						end;
					end;
				end;
			end;	
		end;
	end;
end;
function MPOwner_Register:delete()
	-- print("## DEBUG MPOwner_Register:delete");
end;

function MPOwner_Register:deleteMap()
	-- print("## DEBUG MPOwner_Register:deleteMap");
end;

function MPOwner_Register:keyEvent(unicode, sym, modifier, isDown)

end;

function MPOwner_Register:mouseEvent(posX, posY, isDown, isUp, button)

end;

function MPOwner_Register:update(dt)
	
end;

function MPOwner_Register:draw()
  
end;

addModEventListener(MPOwner_Register);